Subject: Re: [Bug] git fetch --dry-run --filter makes changes to .git/config

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Sep 2025 13:46:17 -0700

Jeff King <[email-masked]> writes:

> ... It is unfortunate that doing so updates the repo
> config, though. That may show a mismatch in how the promisor information
> is stored (it is really a property of the packfile in the object
> directory, but the config mechanism stores it in the main repo). But it
> is probably not worth trying to revisit at this point. It is only when
> you start to play weird games like "this repo's object directory is not
> $GIT_DIR/objects" that you run into these distinctions.

Hmph, but watching from the sidelines Patrick's topics that revolve
around (re)defining the boundary and relationship among repository,
object store, and on-disk packfiles with a more clearly defined
abstractions like object_source, I am hoping that we somehow can
find a good place to move this information out of the per-repo
configuration to somewhere close to individual packs.  I dunno.